complexType "PaymentDetails"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | paymentReference?, grossCashflow*, settlementInformation?
</...>

Content Model Elements (3):

  grossCashflow, paymentReference, settlementInformation

Annotation
Details on the referenced payment. e.g. Its cashflow components, settlement details.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PaymentDetails"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentReference" type="PaymentReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="grossCashflow" type="GrossCashflow"/> <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
grossCashflow

  Type: | GrossCashflow, complex content

  Payment details of this cash flow component, including currency, amount and payer/payee.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="grossCashflow" type="GrossCashflow"/>

paymentReference

  Type: | PaymentReference, empty content

  The reference to the identified payment strucutre.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentReference" type="PaymentReference"/>

settlementInformation

  Type: | SettlementInformation, complex content

  The information required to settle a currency payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.